Bug 102294 - Layout Test platform/chromium/virtual/deferred/fast/images/exif-orientation.html is failing
Summary: Layout Test platform/chromium/virtual/deferred/fast/images/exif-orientation.h...
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Tools / Tests (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: James Robinson
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-11-14 15:37 PST by Dimitri Glazkov (Google)
Modified: 2012-11-27 17:48 PST (History)
2 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Dimitri Glazkov (Google) 2012-11-14 15:37:30 PST
The following layout test is failing on all platforms.

platform/chromium/virtual/deferred/fast/images/exif-orientation.html

Probable cause:

http://src.chromium.org/viewvc/chrome?view=rev&revision=167750
Comment 1 Dana Jansens 2012-11-14 15:53:31 PST
I am seeing the exact same result locally with a debug DRT before my large chromium-side change, with WebKit DEPS at that time, vs trunk for chromium and WebKit.
Comment 2 Dimitri Glazkov (Google) 2012-11-14 16:18:20 PST
Also platform/chromium/virtual/deferred/fast/images/gray-scale-jpeg-with-color-profile.html and platform/chromium/virtual/deferred/fast/images/exif-orientation-css.html
Comment 3 Dana Jansens 2012-11-14 16:21:22 PST
The scrollbar thumb is gone on mac? Are you seeing that in any other tests?
Comment 4 Dimitri Glazkov (Google) 2012-11-14 16:32:15 PST
(In reply to comment #3)
> The scrollbar thumb is gone on mac? Are you seeing that in any other tests?

No. This stuff only started happening on virtual/deferred.
Comment 5 Dana Jansens 2012-11-14 16:37:50 PST
Hey check this out.

-void Settings::setPerTilePaintingEnabled(bool enabled)
-{
-    if (!s_settingsInitialized)
-        reset();
-    s_partialSwapEnabled = enabled;   <---------------- partialSwap!
-}

Seems like per-tile was never on for those tests. Now it is, and they are broken because per-tile is broken.

Should we turn off per-tile for the test suite?
Comment 6 Dana Jansens 2012-11-14 16:50:47 PST
Well.. It is my opinion that we should rebaseline the linux result, it seems harmless.

And we can rebaseline, or mark as failing, the mac 10.6 ones, with a bug that the scrollbar thumbs disappear with per-tile painting.
Comment 7 Dana Jansens 2012-11-14 17:14:29 PST
I have filed bugs

For EXIF orientation being broken on Mac with per-tile: http://code.google.com/p/chromium/issues/detail?id=161164

For missing scrollbar thumbs on Mac 10.6 with per-tile: http://code.google.com/p/chromium/issues/detail?id=161167&thanks=161167&ts=1352941830

I think what's left to do for this bug here is to decide to rebaseline or mark as failing these tests.

Rebaseline Linux, Mark as failing Mac? What do you think James?
Comment 8 James Robinson 2012-11-25 22:13:08 PST
(In reply to comment #7)
> I have filed bugs
> 
> For EXIF orientation being broken on Mac with per-tile: http://code.google.com/p/chromium/issues/detail?id=161164
> 
> For missing scrollbar thumbs on Mac 10.6 with per-tile: http://code.google.com/p/chromium/issues/detail?id=161167&thanks=161167&ts=1352941830
> 
> I think what's left to do for this bug here is to decide to rebaseline or mark as failing these tests.
> 
> Rebaseline Linux, Mark as failing Mac? What do you think James?

That sounds right.
Comment 9 Dana Jansens 2012-11-27 17:48:54 PST
Committed r135961: <http://trac.webkit.org/changeset/135961>